Ask Your Question
1

centos mysql 5.5

asked 2014-02-26 12:13:59 -0500

guy gravatar image

updated 2014-02-26 13:20:16 -0500

Hi,

I am setting up a centos6.4 VM using Vagrant and Puppet. First off, my familiarity is with Debian linux and also I am new to Puppet, so sorry if I am missing something basic...

I am using the mysql module from puppetlabs, and the default version of mysql installed is 5.1 but I'd like to install 5.5.

From this post, it looks like I need to grab mysql5.5 from some extra repos,

My Puppetfile looks like:

forge "http://forge.puppetlabs.com"
mod 'puppetlabs/stdlib'
mod 'puppetlabs/apache'
mod 'puppetlabs/mysql'

I added a yumrepo ... (more)

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2014-02-26 15:33:08 -0500

ramindk gravatar image

You'll need to install a 5.5 Mysql-shared-compat library first. See this URL for more details.

side note: Personally I'd pull the RPMs directly from mysql.com and put them in my local repo rather than add an additional repo particularly one that isn't Mysql specific. Also you might consider going to Mysql 5.6 which has been GA for six months.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2014-02-26 12:13:59 -0500

Seen: 301 times

Last updated: Feb 26 '14